Subject: bug#31313: 26.1; gnutls.c: [0] (Emacs) Received alert: Handshake failed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Apr 2018 08:26:36 +0300

On April 30, 2018 5:34:28 AM GMT+03:00, Eli Zaretskii <[email-masked]> wrote:
> > From: Eric Hanchrow <[email-masked]>
> > Date: Sun, 29 Apr 2018 19:59:19 +0000
> > 
> > This used to work until perhaps a few days or weeks ago; as far as I
> > know nothing has changed.
> > 
> > 
> > In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu)
> >   of 2018-04-29 built on ip-10-0-0-79
> > Repository revision: c18ec6afc0ee7fa2ad5831fbd3a51ca4df3c35b7
> 
> Is this Emacs 26.1 RC1, or is it something else?  You are saying it
> worked until a few days ago, but it isn't clear whether your Emacs
> changed since then.  And there's no commit with the above SHA1 in the
> Emacs repository, AFAICT.  So I'm unsure what codebase you are using
> and how to interpret the fact that it used to work not long ago.

And what is your GnuTLS version?  Did you by chance have it updated lately?

Also, what does (gnutls-available-p) return?